## org.eclipse.uml2.uml.util
Class UMLUtil.QualifiedTextProvider

    java.lang.Object
      org.eclipse.uml2.common.util.UML2Util.QualifiedTextProvider
          org.eclipse.uml2.uml.util.UMLUtil.QualifiedTextProvider

Enclosing class:
  UMLUtil

    public static class UMLUtil.QualifiedTextProvider

extends UML2Util.QualifiedTextProvider

A qualified text provider that uses names of named elements as qualified text segments and :: as a separator.

Field Summary
`static UMLUtil.QualifiedTextProvider` `DEFAULT` The default instance.

Constructor Summary
`UMLUtil.QualifiedTextProvider()`

Method Summary
`java.lang.String` `getSeparator()` Retrieves the string used to separate segments of qualified text.
`java.lang.String` `getText(org.eclipse.emf.ecore.EObject eObject)` Retrieves a textual representation of the specified object.

Methods inherited from class org.eclipse.uml2.common.util.UML2Util.QualifiedTextProvider
`getClassText, getFeatureText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final UMLUtil.QualifiedTextProvider DEFAULT

  The default instance.

Constructor Detail

### UMLUtil.QualifiedTextProvider

    public UMLUtil.QualifiedTextProvider()

Method Detail

### getText

    public java.lang.String getText(org.eclipse.emf.ecore.EObject eObject)

  Description copied from class: `UML2Util.QualifiedTextProvider`
  Retrieves a textual representation of the specified object.

  Overrides:
    `getText` in class `UML2Util.QualifiedTextProvider`
  Parameters:
    `eObject` - The object for which to retrieve text.
  Returns:
    A textual representation of the object.

### getSeparator

    public java.lang.String getSeparator()

  Description copied from class: `UML2Util.QualifiedTextProvider`
  Retrieves the string used to separate segments of qualified text.

  Specified by:
    `getSeparator` in class `UML2Util.QualifiedTextProvider`
  Returns:
    The separator to be used.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.